Bug 186830 - [GCJ bug] package explorer sorts in wrong order
[GCJ bug] package explorer sorts in wrong order
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Konrath
Depends On:
  Show dependency treegraph
Reported: 2006-03-26 17:52 EST by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-27 02:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2006-03-26 17:52:53 EST
I'm using the FC5 gcj-based eclipse to hack on GNU Classpath.
In the package explorer, I see that "gnu.javax.*" packages
appear before "gnu.java.*".  when I run eclipse with the Sun JDK,
these appear in the other order.  I think the gcj-eclipse order
is a bit less intuitive.

Offhand I would suspect a libgcj bug here.  However I have not looked.
Comment 1 Andrew Overholt 2006-10-06 15:17:58 EDT
This probably explains some of the bugs we're getting when running the test
suite as well.  Things like "Expected p[ost] but got p[re]".
Comment 2 Ben Konrath 2007-04-27 02:08:02 EDT
This issue is fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.